From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/swtpm/
Date: Sun, 31 Jan 2021 13:09:50 +0000 (UTC) [thread overview]
Message-ID: <1612098584.727e2f5a77441c1e2186555e0989bfeec5623360.juippis@gentoo> (raw)
commit: 727e2f5a77441c1e2186555e0989bfeec5623360
Author: Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Dec 26 22:36:30 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 13:09:44 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=727e2f5a
app-crypt/swtpm: Bump to 0.5.2
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
app-crypt/swtpm/Manifest | 1 +
app-crypt/swtpm/swtpm-0.5.2.ebuild | 92 ++++++++++++++++++++++++++++++++++++++
2 files changed, 93 insertions(+)
diff --git a/app-crypt/swtpm/Manifest b/app-crypt/swtpm/Manifest
index f4465c11d3c..d2aba521342 100644
--- a/app-crypt/swtpm/Manifest
+++ b/app-crypt/swtpm/Manifest
@@ -1 +1,2 @@
DIST swtpm-0.5.1.tar.gz 309464 BLAKE2B 630a9add9a17e016f0158666bd3f4eafa773b7a2645820346d5f2847023310f8df4c2491184c5f5d02a83aa2bb53f8c266e5f2a6b07ab92502f08c7f1fa697ea SHA512 8a034b1da916797b9869a4ff478a4c7093b1343ce2556054d2228214520f0e2a63a1d69709bf2cc62fe45710dd9a41c0eee488af9396e8baf8099e697593638c
+DIST swtpm-0.5.2.tar.gz 309436 BLAKE2B 0518e59b052c9224d5db1c2720f74ff15717468f73b1665e67c017581dd2b52d7a4cf28f94a932eb6068de3bc50f2e5710b8c447e4a08e6b4a31019db542d910 SHA512 4554f1b7a534829f9fbef4a09e190f1d5e91692d270f4f668bd6ef79799a4186a38db172e37a18be9f203466e2d7c9cdf3a350c0020d25ff6126128085ebe3a3
diff --git a/app-crypt/swtpm/swtpm-0.5.2.ebuild b/app-crypt/swtpm/swtpm-0.5.2.ebuild
new file mode 100644
index 00000000000..7cf67bd70df
--- /dev/null
+++ b/app-crypt/swtpm/swtpm-0.5.2.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit autotools distutils-r1
+
+DESCRIPTION="Libtpms-based TPM emulator"
+HOMEPAGE="https://github.com/stefanberger/swtpm"
+SRC_URI="https://github.com/stefanberger/swtpm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fuse gnutls libressl seccomp test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ fuse? (
+ dev-libs/glib:2
+ sys-fs/fuse:0
+ )
+ gnutls? (
+ dev-libs/libtasn1:=
+ >=net-libs/gnutls-3.1.0[tools]
+ )
+ !libressl? (
+ dev-libs/openssl:0=
+ dev-libs/libtpms[-libressl]
+ )
+ libressl? (
+ dev-libs/libressl:0=
+ dev-libs/libtpms[libressl]
+ )
+ seccomp? ( sys-libs/libseccomp )
+"
+
+DEPEND="${COMMON_DEPEND}
+ test? (
+ net-misc/socat
+ dev-tcltk/expect
+ )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ acct-group/tss
+ acct-user/tss
+ dev-python/cryptography[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.5.0-fix-localca-path.patch"
+ "${FILESDIR}/${PN}-0.5.0-build-sys-Remove-WError.patch"
+)
+
+src_prepare() {
+ use test || eapply "${FILESDIR}/${PN}-0.5.0-disable-test-dependencies.patch"
+ python_setup
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-static \
+ --with-openssl \
+ --without-selinux \
+ $(use_with fuse cuse) \
+ $(use_with gnutls) \
+ $(use_with seccomp)
+}
+
+src_compile() {
+ # We want the default src_compile, not the version distutils-r1 exports
+ default
+}
+
+src_install() {
+ default
+ python_foreach_impl python_optimize
+ fowners -R tss:root /var/lib/swtpm-localca
+ fperms 750 /var/lib/swtpm-localca
+ keepdir /var/lib/swtpm-localca
+ find "${D}" -name '*.la' -delete || die
+}
+
+src_test() {
+ # We want the default src_test, not the version distutils-r1 exports
+ default
+}
next reply other threads:[~2021-01-31 13:09 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-31 13:09 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-18 7:41 [gentoo-commits] repo/gentoo:master commit in: app-crypt/swtpm/ Joonas Niilola
2024-07-18 7:41 Joonas Niilola
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-04-26 6:55 Joonas Niilola
2024-04-26 6:55 Joonas Niilola
2023-12-17 7:22 Joonas Niilola
2023-12-17 7:22 Joonas Niilola
2023-12-17 0:05 Sam James
2023-12-16 16:17 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-09-16 15:54 Matthias Maier
2023-09-14 16:09 Mike Gilbert
2023-09-14 15:10 Matthias Maier
2023-09-09 13:17 David Seifert
2023-09-09 13:17 David Seifert
2023-08-19 22:32 Conrad Kostecki
2023-07-29 4:43 Sam James
2023-07-29 3:46 Matthias Maier
2023-07-06 17:28 Matthias Maier
2023-03-30 17:17 Arthur Zamarin
2023-02-20 14:47 Arthur Zamarin
2023-02-20 13:50 Sam James
2023-02-20 13:50 Sam James
2023-02-20 9:39 Joonas Niilola
2022-12-24 2:59 Sam James
2022-12-04 15:59 WANG Xuerui
2022-11-22 9:10 Matthias Maier
2022-10-26 4:04 John Helmert III
2022-05-20 9:17 Agostino Sarubbo
2022-05-19 9:27 Agostino Sarubbo
2022-05-17 12:38 Agostino Sarubbo
2022-05-17 12:37 Agostino Sarubbo
2022-05-17 9:58 Agostino Sarubbo
2022-05-11 21:31 Matt Turner
2022-05-11 21:31 Matt Turner
2022-03-11 0:04 Ionen Wolkens
2022-03-11 0:04 Ionen Wolkens
2022-03-10 6:48 Yixun Lan
2022-02-19 5:17 Sam James
2022-02-19 5:17 Sam James
2021-11-10 10:59 Ionen Wolkens
2021-09-24 7:22 Joonas Niilola
2021-09-24 7:22 Joonas Niilola
2021-09-24 7:22 Joonas Niilola
2021-09-13 6:33 Joonas Niilola
2021-09-08 1:25 Sam James
2021-07-24 15:22 Sam James
2021-07-12 21:59 Sam James
2021-07-06 17:59 Sam James
2021-06-29 4:40 Sam James
2021-06-29 4:40 Sam James
2021-06-26 3:56 Matthias Maier
2021-05-02 17:22 Mikle Kolyada
2021-04-25 8:00 Michał Górny
2021-01-31 13:09 Joonas Niilola
2020-11-24 13:26 Joonas Niilola
2020-11-24 13:26 Joonas Niilola
2020-11-20 15:10 Sam James
2020-11-20 15:10 Sam James
2020-11-20 15:10 Sam James
2020-10-12 9:06 Joonas Niilola
2020-08-05 12:19 Joonas Niilola
2020-06-20 9:56 Conrad Kostecki
2020-06-20 9:56 Conrad Kostecki
2020-04-23 7:41 Joonas Niilola
2020-04-23 7:41 Joonas Niilola
2020-03-03 14:54 Joonas Niilola
2020-03-03 14:54 Joonas Niilola
2020-02-19 13:32 Joonas Niilola
2020-02-19 13:32 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1612098584.727e2f5a77441c1e2186555e0989bfeec5623360.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox